Subject: Re: [PATCH net-next 4/6] netlink: add a proto specification for FOU

From: Jakub Kicinski <[email-masked]>
Date: Thu, 29 Sep 2022 07:41:05 -0700

On Thu, 29 Sep 2022 11:02:51 +0200 Nicolas Dichtel wrote:
> > +operations:
> > +  list:
> > +    -
> > +      name: unspec
> > +      doc: unused  
> 
> To what correspond this name?
> It helps to name the generated operations array?
> Something else than 'const struct genl_small_ops fou_ops[3]'?

Same as the attr, it just reserves zero FWIW, never actually used in
the code I've grepped:

linux$ git grep FOU_CMD_UNSPEC
include/uapi/linux/fou.h:       FOU_CMD_UNSPEC,

iproute2$ git grep FOU_CMD_UNSPEC
include/uapi/linux/fou.h:       FOU_CMD_UNSPEC,

BTW thanks for asking, I noticed I mistyped the documentation,
type is 'unused', in the docs I said 'unspec'.